# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-06-26 19:39
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import positions.fields


class Migration(migrations.Migration):

    dependencies = [
        ('media', '0007_add_original_filename'),
        ('blog', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='EntryContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True)),
                ('position', positions.fields.PositionField(default=-1)),
                ('entry', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content', to='blog.Entry')),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='media.Image')),
                ('video', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='media.Video')),
            ],
            options={
                'ordering': ('entry', 'position'),
                'abstract': False,
                'verbose_name': 'Content Item',
            },
        ),
    ]
